sysutils/macchina - The NetBSD Packages Collection

System information frontend with emphasis on performance

macchina lets you view system information, like your kernel version, uptime,
memory usage, processor load and much more. macchina is basic by default and
extensible by design.

If you're interested in the library macchina uses to fetch system information,
have a look at libmacchina; fetching-related issues should be filed on that
repository.

Build dependencies

lang/rust pkgtools/mktools pkgtools/cwrappers

Runtime dependencies

wm/wmctrl

Binary packages

OSArchitectureVersion
NetBSD 10.0aarch64macchina-6.1.5.tgz
NetBSD 10.0aarch64macchina-6.1.6.tgz
NetBSD 10.0earmv7hfmacchina-6.1.5.tgz
NetBSD 10.0earmv7hfmacchina-6.1.6.tgz
NetBSD 10.0i386macchina-6.1.5.tgz
NetBSD 10.0powerpcmacchina-6.1.5.tgz
NetBSD 10.0powerpcmacchina-6.1.5.tgz
NetBSD 10.0x86_64macchina-6.1.6.tgz
NetBSD 10.0x86_64macchina-6.1.5.tgz
NetBSD 8.0powerpcmacchina-6.0.1.tgz
NetBSD 8.0powerpcmacchina-6.1.6.tgz
NetBSD 8.0powerpcmacchina-6.1.6.tgz
NetBSD 8.0x86_64macchina-6.0.6.tgz
NetBSD 8.0x86_64macchina-6.1.5.tgz
NetBSD 9.0aarch64macchina-6.1.5.tgz
NetBSD 9.0aarch64macchina-6.0.6.tgz
NetBSD 9.0aarch64macchina-6.1.6.tgz
NetBSD 9.0earmv7hfmacchina-6.1.5.tgz
NetBSD 9.0earmv7hfmacchina-6.1.6.tgz
NetBSD 9.0earmv7hfmacchina-6.0.6.tgz
NetBSD 9.0i386macchina-6.0.6.tgz
NetBSD 9.0i386macchina-6.0.6.tgz
NetBSD 9.0i386macchina-6.1.5.tgz
NetBSD 9.0powerpcmacchina-6.1.5.tgz
NetBSD 9.0powerpcmacchina-6.0.6.tgz
NetBSD 9.0powerpcmacchina-6.1.5.tgz
NetBSD 9.0sparc64macchina-6.0.6.tgz
NetBSD 9.0sparc64macchina-6.1.5.tgz
NetBSD 9.0x86_64macchina-6.0.6.tgz
NetBSD 9.0x86_64macchina-6.0.6.tgz
NetBSD 9.0x86_64macchina-6.0.6.tgz
NetBSD 9.0x86_64macchina-6.1.5.tgz
NetBSD 9.0x86_64macchina-6.0.6.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.